package com.asset.common;

/*
 * @author xiaol
 * @date 2019/12/25
 */

/**
 * 公共的返回码
 * 返回码code：
 *   成功：0
 *   失败：10001
 */
public enum ResultCode {

    SUCCESS(0,"操作成功！"),
    //---系统错误返回码-----
    SERVER_ERROR(10001,"服务器错误"),
    URL_ERROR(10002,"接口不存在"),
    PARAMETER_ERROR(10003,"参数不正确");

    //---用户操作返回码  2xxxx----
    //---企业操作返回码  3xxxx----
    //---权限操作返回码----
    //---其他操作返回码----

    //操作代码
    int code;
    //提示信息
    String message;

    ResultCode(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int code() {
        return code;
    }

    public String message() {
        return message;
    }

}
