package com.asset.service.system;

import com.asset.common.Common;
import com.asset.domain.system.Certificate;
import com.asset.mapper.system.CertificateMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/02
 */
@Service("CertificateService")
public class CertificateService implements CertificateMapper {

    @Autowired
    CertificateMapper certificateMapper;

    @Override
    public Certificate getCertificateById(Integer id) {
        return certificateMapper.getCertificateById(id);
    }

    @Override
    public Certificate getCertificateByUserId(Integer user_id) {
        return certificateMapper.getCertificateByUserId(user_id);
    }

    @Override
    public Page<Certificate> getCertificateList() {
        return certificateMapper.getCertificateList();
    }

    @Override
    public boolean insertCertificate(Certificate certificate) {
        return certificateMapper.insertCertificate(certificate);
    }

    @Override
    public boolean deleteCertificateById(Integer id) {
        return certificateMapper.deleteCertificateById(id);
    }

    @Override
    public boolean deleteCertificateByUserId(Integer user_id) {
        return certificateMapper.deleteCertificateByUserId(user_id);
    }

    @Override
    public boolean updateCertificate(Certificate certificate) {
        return certificateMapper.updateCertificate(certificate);
    }

    @Override
    public boolean insertAllCertificate(List<Certificate> certificates) {
        return certificateMapper.insertAllCertificate(certificates);
    }

    //循环批量写入数据库
    public boolean insertAllCycle(String expert, Integer user_id,Integer type){
        String[] arr = expert.split(",");
        List<Certificate> list = new ArrayList<Certificate>();
        for (int i=0;i<arr.length;i++){
            Certificate certificate = new Certificate();
            certificate.setUser_id(user_id);
            certificate.setImage(arr[i]);
            certificate.setType(type);
            certificate.setCreate_at(Common.getTime());
            list.add(certificate);
        }
        return insertAllCertificate(list);
    }

    public boolean insertCycle(String expert, Integer user_id,Integer type){
        Certificate certificate = new Certificate();
        certificate.setUser_id(user_id);
        certificate.setImage(expert);
        certificate.setType(type);
        certificate.setCreate_at(Common.getTime());
        return insertCertificate(certificate);
    }
}
